# H225_SupportedProtocols Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandardData, e_h310, e_h320, e_h321, e_h322, e_h323, e_h324, e_voice, e_t120_only, e_nonStandardProtocol, e_t38FaxAnnexbOnly, e_sip }

## Public Member Functions

| H225_SupportedProtocols (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
| operator H225_H310Caps & ()
| operator const H225_H310Caps & () const
| operator H225_H320Caps & ()
| operator const H225_H320Caps & () const
| operator H225_H321Caps & ()
| operator const H225_H321Caps & () const
| operator H225_H322Caps & ()
| operator const H225_H322Caps & () const
| operator H225_H323Caps & ()
| operator const H225_H323Caps & () const
| operator H225_H324Caps & ()
| operator const H225_H324Caps & () const
| operator H225_VoiceCaps & ()
| operator const H225_VoiceCaps & () const
| operator H225_T120OnlyCaps & ()
| operator const H225_T120OnlyCaps & () const
| operator H225_NonStandardProtocol & ()
| operator const H225_NonStandardProtocol & () const
| operator H225_T38FaxAnnexbOnlyCaps & ()
| operator const H225_T38FaxAnnexbOnlyCaps & () const
| operator H225_SIPCaps & ()
| operator const H225_SIPCaps & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_SupportedProtocols::Choices

Enumerator:

  e_nonStandardData |
  e_h310 |
  e_h320 |
  e_h321 |
  e_h322 |
  e_h323 |
  e_h324 |
  e_voice |
  e_t120_only |
  e_nonStandardProtocol |
  e_t38FaxAnnexbOnly |
  e_sip |

## Constructor & Destructor Documentation

H225_SupportedProtocols::H225_SupportedProtocols | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_SupportedProtocols::operator H225_NonStandardParameter & | ( |  | ) |

H225_SupportedProtocols::operator const H225_NonStandardParameter & | ( |  | ) | const

H225_SupportedProtocols::operator H225_H310Caps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_H310Caps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_H320Caps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_H320Caps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_H321Caps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_H321Caps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_H322Caps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_H322Caps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_H323Caps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_H323Caps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_H324Caps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_H324Caps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_VoiceCaps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_VoiceCaps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_T120OnlyCaps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_T120OnlyCaps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_NonStandardProtocol & | ( |  | ) |

H225_SupportedProtocols::operator const H225_NonStandardProtocol & | ( |  | ) | const

H225_SupportedProtocols::operator H225_T38FaxAnnexbOnlyCaps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_T38FaxAnnexbOnlyCaps & | ( |  | ) | const

H225_SupportedProtocols::operator H225_SIPCaps & | ( |  | ) |

H225_SupportedProtocols::operator const H225_SIPCaps & | ( |  | ) | const

PBoolean H225_SupportedProtocols::CreateObject | ( |  | ) |

PObject* H225_SupportedProtocols::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h